package movieorganizer.userinterface;
import static org.junit.Assert.*;


import org.junit.Test;

/** Test class for the movie class. */
public class MovieTest {

    /** Test-variable .*/
    private String fileName = "testFile.avi";
    /** Test-variable .*/
    private String filePath = "C:\\movies\\" + fileName;

    /** Tests the GetFileName-Method. */
    @Test
    public final void testGetFileName() {
        Movie testMovie = new Movie(fileName, filePath);
        assertEquals("Result", fileName, testMovie.getFileName());
    }

    /** Tests the GetMetaDataFromIMDB-method. */
    @Test
    public final void testGetMetaDataFromIMDB() {
        Movie testMovie = new Movie(fileName, filePath);
        testMovie.getMetaDataFromIMDB();
        assertNotNull("Result", testMovie.getGenres());
        assertNotNull("Result", testMovie.getDirector());
        assertNotNull("Result", testMovie.getFileName());
        assertNotNull("Result", testMovie.getPath());
        assertTrue("Result", testMovie.getDuration() > 0);
        assertTrue("Result", testMovie.getYear() > 0);
        assertTrue("Result", testMovie.getRating() > 0);
    }

}
